# import\_module

See [Shared Modules](/reference/shared-modules.md)

`import_module(module_name : str) -> ModuleType` imports a shared module and makes it available for use in the current hook.

**Example usage:**

Import a module and use it in the current hook:

```
import_module("my_module")
result = my_module.test_function()
```

To use a module throughout an integration you can either reimport it in every hook it is used, or [keep](/reference/special_functions/keep.md) it:

```
keep(my_module = import_module("my_module"))
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_functions/import_module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
